Loading...
Searching...
No Matches
CLI::detail::is_direct_constructible< T, C > Class Template Reference

`#include <TypeTools.hpp>`

## Static Public Attributes

static constexpr bool | value = decltype(test<T, C>(0, typename std::is_constructible<T, C>::type()))::value

## Member Data Documentation

## value

template<typename T, typename C>

bool CLI::detail::is_direct_constructible< T, C >::value = decltype(test<T, C>(0, typename std::is_constructible<T, C>::type()))::value

static constexpr

The documentation for this class was generated from the following file:

- include/CLI/TypeTools.hpp